# Get Timeline

## Get Device Timeline

<mark style="color:blue;">`GET`</mark> `https://{server_address}/api/v1/organization/device/timeline`

#### Query Parameters

| Name                                       | Type        | Description                                                                                |
| ------------------------------------------ | ----------- | ------------------------------------------------------------------------------------------ |
| page                                       | 0           | Page number starting from 0. First page by default.                                        |
| size                                       | 20          | Page size. Should be from 1 to 100. 20 by default.                                         |
| deviceId<mark style="color:red;">\*</mark> | 1           | Device identifier. Should be a valid integer.                                              |
| eventType                                  | INFORMATION | Event type name to filter timeline by. All event types will be included, if not specified. |

#### Headers

| Name                                            | Type                   | Description |
| ----------------------------------------------- | ---------------------- | ----------- |
| Authorization<mark style="color:red;">\*</mark> | Bearer {access\_token} |             |

{% tabs %}
{% tab title="200: OK Device Timeline" %}

```json
{
   "content": [
      {
         "id": 1,
         "eventId": 1,
         "orgId": 577,
         "eventType": "INFORMATION",
         "description": "A simple information event",
         "ts": 879,
         "isResolved": false,
         "resolvedAt": 1702480430139,
         "resolvedComment": null
      }
   ],
   "totalElements": 1
}
```

{% endtab %}

{% tab title="404: Not Found Device is not found" %}

```json
{
    "error": {
        "message": "Device with identifier 1 is not found or belong to another organization."
    }
}
```

{% endtab %}
{% endtabs %}

Request examples:

```bash
# curl command example:
$ curl -H "Authorization: Bearer {accessToken}" https://fra1.blynk.cloud/api/v1/organization/device/timeline?deviceId=1
$ curl -H "Authorization: Bearer eIdWHQqRfFmvP5LDDh-IGxPUzi7I27HthzCPAVmS" https://fra1.blynk.cloud/api/v1/organization/device/timeline?deviceId=1
```
